Cancel agentic purchase
curl --request POST \
--url https://api.natural.com/agentic-payments/purchases/{purchaseId}/cancel \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.natural.com/agentic-payments/purchases/{purchaseId}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.natural.com/agentic-payments/purchases/{purchaseId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/agentic-payments/purchases/{purchaseId}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/agentic-payments/purchases/{purchaseId}/cancel"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.natural.com/agentic-payments/purchases/{purchaseId}/cancel")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/agentic-payments/purchases/{purchaseId}/cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "apu_01a0e6466ba3713bba0f0d9d36803b93",
"mandateId": "amd_01a0e6466ba3713bba0f0d9d36803b92",
"provider": "basis_theory",
"confirmationStatus": "not_requested",
"amount": 2450,
"currency": "USD",
"merchant": {
"name": "Blue Bottle Coffee",
"url": "https://bluebottlecoffee.com",
"countryCode": "US"
},
"delivery": "card_token",
"status": "canceled",
"expiresAt": null,
"errorCode": null
}
}Agent tokens
Cancel agentic purchase
Release budget reserved for a purchase that has not been claimed
POST
/
agentic-payments
/
purchases
/
{purchaseId}
/
cancel
Cancel agentic purchase
curl --request POST \
--url https://api.natural.com/agentic-payments/purchases/{purchaseId}/cancel \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.natural.com/agentic-payments/purchases/{purchaseId}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.natural.com/agentic-payments/purchases/{purchaseId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/agentic-payments/purchases/{purchaseId}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/agentic-payments/purchases/{purchaseId}/cancel"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.natural.com/agentic-payments/purchases/{purchaseId}/cancel")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/agentic-payments/purchases/{purchaseId}/cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "apu_01a0e6466ba3713bba0f0d9d36803b93",
"mandateId": "amd_01a0e6466ba3713bba0f0d9d36803b92",
"provider": "basis_theory",
"confirmationStatus": "not_requested",
"amount": 2450,
"currency": "USD",
"merchant": {
"name": "Blue Bottle Coffee",
"url": "https://bluebottlecoffee.com",
"countryCode": "US"
},
"delivery": "card_token",
"status": "canceled",
"expiresAt": null,
"errorCode": null
}
}Authorizations
Headers
Query Parameters
Was this page helpful?